Summary:	An interpreter for z-code Interactive Fiction files
Name:		frotz
Version:	2.43
Release:	3
Copyright:	GPL
Group:		Applications/Games
Source:		http://www.cs.csubak.edu/~dgriffi/proj/frotz/files/frotz-%{version}.tar.gz
URL:		http://www.cs.csubak.edu/~dgriffi/proj/frotz
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
Packager:	Burt Holzman <bnh@alumni.cmu.edu>
Vendor:		David Griffith <dgriffi@cs.csubak.edu>

%description
Frotz is an interpreter for Infocom games and other Z-machine games. It 
complies with standard 1.0 of Graham Nelson's specification. It was written 
by Stefan Jokisch in 1995-1997. It was ported to Unix by Galen Hazelwood. 
Currently the Unix port is being developed and maintained by David Griffith.

It is distributed under the GNU General Public License.

%prep
%setup -q

%build
[ "%{buildroot}" != "" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_prefix}/man
make PREFIX=%{_prefix} CONFIG_DIR=%{_sysconfdir} \
	SOUND_DEFS="-DOSS_SOUND" SOUND_DEV=/dev/dsp \
	INCL= CURSES="-lncurses" \
	CURSES_DEF="-DUSE_NCURSES_H" frotz

%install
make PREFIX="%{buildroot}"/%{_prefix} install

%clean
[ "%{buildroot}" != "" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_prefix}/man/man6/*
%{_prefix}/bin/*
%doc AUTHORS BUGS ChangeLog COPYING frotz.lsm HOW_TO_PLAY
%doc README TODO doc/frotz.conf-big doc/frotz.conf-small

%changelog
* Sun Jun 01 2003 Chris Ausbrooks <weed@thebucket.org>
- install into /usr instead of /usr/local
- include user documentation
- removed source modification
- only compile what we need (no dumb version)

* Sat Mar 29 2003 Ed Halley <ed@halley.cc>
- Makefile adjustments uses ncurses
- Specfile adjustments for safety
